export class GetPostsByUserIdQueryHandler {
  constructor(postRepository) {
    this.postRepository = postRepository;
  }

  async handle(query) {
    return await this.postRepository.getByUserId(query.userId);
  }
}
